Subject: [Fwd: Re: problems with auctex]

From: Ulrich Poetter <[email-masked]>
Date: Wed, 21 Aug 1996 16:50:53 +0200

Subject: Re: problems with auctex
From: Ulrich Poetter <[email-masked]>
To: Holger Mueller <[email-masked]>
Date: Wed, 21 Aug 1996 16:42:25 +0200

Holger Mueller wrote:
> 
> Hello!
> 
> I have installed NT Emacs 19.31 on my Win95. Furthermore I installed
> AUC-TeX 9.5a completely. So far, it works pretty good. But if I try to
> execute TeX/LaTeX via ->Command ->LaTeX (with an open TeX Buffer!) I get
> the error message "Spawing child process: invalid argument". I receive
> the same error message, if I try to start the Emacs server with "M-x
> server-start".  My "SHELL" environment variable is set to "command".
> 
> I don't know if this stuff is not yet implemented in this Emacs version
> for Win95, because I haven't read this mailing list since month.
> 
> I don't know whats it problem with it, so pleeeeease help!
> 
> Thanx Holger

The problem stems from a wrong setting of the shell options in auctex
when using NTemacs. auctex assumes "/bin/sh" unless (system-type) is
ms-dos. But (system-type) in NTemacs is windows-nt. To overcome the
problem put the following in your .emacs or tex-site:
(setq TeX-shell "YOUR-SHELL")
(setq TeX-shell-command-option "/C") ;if you use command ord cmd
You also have to change the function
TeX-directory-absolute-p in tex.el. In its definition change the
(memq ..) line to include windows-nt and recompile.
Hope that helps
Uli